#pragma once
#include "EntityState.h"
extern const int CS_JackSTATENAME_CATCHER;
//¼¼ÄÜ£º²¶»ñÕß
class CS_JackCatcher :
    public EntitySkillState
{
public:
    CS_JackCatcher();
    const wchar_t* GetSaveName() override;
    const wchar_t* GetFuncName() override;
    const wchar_t* GetCheckFuncName() override;
    void SubStep() override;
    void ChangeStateMsg(int stateID) override;
    int level = 0;
};

